commit:     d45cccbb705faeddef92bb03ff745db25b06fa5b
Author:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
AuthorDate: Wed May  7 15:33:14 2025 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Wed May  7 15:33:14 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d45cccbb

media-video/syncplay: add 1.7.4

Signed-off-by: Nicola Smaniotto <smaniotto.nicola <AT> gmail.com>

 media-video/syncplay/Manifest              |  1 +
 media-video/syncplay/syncplay-1.7.4.ebuild | 76 ++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/media-video/syncplay/Manifest b/media-video/syncplay/Manifest
index 6f3ec2dbc..522fc1325 100644
--- a/media-video/syncplay/Manifest
+++ b/media-video/syncplay/Manifest
@@ -1 +1,2 @@
 DIST syncplay-1.7.3.tar.gz 1986541 BLAKE2B 
204874b02fdb4d889b1718173fb34bd715ce6f66d051cfa5be102f93d4b8ae209af64b0f8096c146e6f439f9f9bf0c92bb6849324c0d067c90784c4a60b2f089
 SHA512 
144c9b4de9272943f7e3624f602e5d36a18871f78588b60f22d699465ecf3b1c63e733441b9fdd26d6e05db032e7a090e544ce7861532377a34bbc9183e3ce10
+DIST syncplay-1.7.4.tar.gz 1995672 BLAKE2B 
7a3882f964a890ea5c74ce40ec0c18560a558d9eddad5b9078c2e86c8547d41c36c4ac1314b6acfa03613b3f72a11c6be0e6e4710c38b0fd2c80b3d66fe9f748
 SHA512 
57b7bda7a1f9841f8526f2a1a8063768a066469c349005c9cb0e7984a151264f5472222d280ad9a68226bec689bed6a671ea7dc0ea71bdf406ac88bb7ad0083a

diff --git a/media-video/syncplay/syncplay-1.7.4.ebuild 
b/media-video/syncplay/syncplay-1.7.4.ebuild
new file mode 100644
index 000000000..ea8e3e348
--- /dev/null
+++ b/media-video/syncplay/syncplay-1.7.4.ebuild
@@ -0,0 +1,76 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..13} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
+
+inherit desktop distutils-r1 optfeature xdg
+
+DESCRIPTION="Client/server to synchronize media playback"
+HOMEPAGE="https://github.com/Syncplay/syncplay https://syncplay.pl";
+SRC_URI="https://github.com/${PN^}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="+client server +gui"
+REQUIRED_USE="|| ( client server )"
+
+RDEPEND="
+       $( python_gen_cond_dep \
+               '>=dev-python/certifi-2018.11.29[${PYTHON_USEDEP}]
+               >=dev-python/twisted-16.4.0[${PYTHON_USEDEP},ssl]
+               >=dev-python/pem-21.2.0[${PYTHON_USEDEP}]'
+       )
+       client? (
+               gui? (
+                       $( python_gen_cond_dep \
+                               'dev-python/qtpy[${PYTHON_USEDEP},gui,pyside6]'
+                       )
+               )
+               || (
+                       media-video/vlc[lua]
+                       media-video/mpv[lua]
+                       media-video/mplayer
+               )
+       )
+"
+
+python_install() {
+       python_domodule syncplay
+
+       if use gui; then
+               for size in 256 128 96 64 48 32 24 16; do
+                       doicon -s ${size} 
"${PN}/resources/hicolor/${size}x${size}/apps/syncplay.png"
+               done
+       fi
+       if use client; then
+               python_newscript syncplayClient.py syncplay
+               if use gui; then
+                       domenu syncplay/resources/syncplay.desktop
+               fi
+       fi
+       if use server; then
+               if use gui; then
+                       domenu syncplay/resources/syncplay-server.desktop
+               fi
+               python_newscript syncplayServer.py syncplay-server
+               newinitd "${FILESDIR}/${PN}-server-init" "${PN}"
+               newconfd "${FILESDIR}/${PN}-server-init-conf" "${PN}"
+       fi
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       if use client; then
+               optfeature_header "Syncplay is compatible with the following 
players, install:"
+               optfeature "VLC support" media-video/vlc[lua]
+               optfeature "MPV support" media-video/mpv[lua]
+               optfeature "MPlayer support" media-video/mplayer
+       fi
+}

Reply via email to